Page MenuHomeVyOS Platform

Tunnel interfaces aren't suggested as being available for bridging
Closed, ResolvedPublicBUG

Description

It looks like when the bridges were moved from "bridge-group" to the dedicated bridge interfaces section that tunnels didn't make the leap over.

They actually work, they just don't show up as completion suggestions. Should look at other interface types and see if any others should be added.

Should be back with attached PR. Should probably be backported into Crux

Details

Difficulty level
Easy (less than an hour)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

kroy created this task.Oct 30 2019, 10:10 PM
kroy changed Difficulty level from Normal (likely a few hours) to Easy (less than an hour).
kroy updated the task description. (Show Details)
kroy closed this task as Resolved.Oct 31 2019, 3:57 PM
kroy claimed this task.

Complete

syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Nov 16 2019, 11:44 PM
syncer reopened this task as Backport candidate.Jan 1 2020, 3:15 PM
syncer reassigned this task from kroy to jestabro.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Jan 1 2020, 4:26 PM
c-po added a subscriber: c-po.Jan 1 2020, 6:13 PM

As this is on the new XML Python interface this is not a problem in crux

c-po closed this task as Resolved.Jan 1 2020, 6:14 PM
c-po removed a project: VyOS 1.2 Crux (VyOS 1.2.5).